SWFGradient_addEntry(3)

NAME
SWFGradient_addEntry - add a gradient control point

SYNOPSIS
#include <ming.h>

void SWFGradient_addEntry
(
    SWFGradient gradient,
    float ratio,
    byte r,
    byte g,
    byte b,
    byte a
);

PARAMETERS

SWFGradient gradient
    Not Documented.

float ratio
    Not Documented.

byte r
    Not Documented.

byte g
    Not Documented.

byte b
    Not Documented.

byte a
    Not Documented.

DESCRIPTION
The ratio defines the position of the control point and RGBA defines its color. SWF <= 7 allows up to 8 control points SWF >= 8 allows up to 15 control points The ration parameter is a float and must be in a range between [0.0 ... 1.0]. In order to use SWF8 gradient features you need to set SWFShapes version to SWF_SHAPE4. Use SWFShape_useVersion() and friends.